Subject: Re: MSVC command line size
From: [email-masked] ("Valery Fine")

29 Mar 1997 13:03:37 -0800
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Comments: Authenticated sender is <[email-masked]>
Original-To: Fabrice Beauvir <[email-masked]>
Original-CC: [email-masked]
X-Confirm-Reading-To: "Valery Fine" <[email-masked]>
X-pmrqc: 1
X-mailer: Pegasus Mail for Windows (v2.23)
Original-Sender: [email-masked]

On 26 Mar 97 at 11:37, Fabrice Beauvir wrote:
> Hi, 
>  I'm porting unix application to NT whith MSVC 2.0.
> I m usig microsoft command line compiler cl and I have a problem
> using gnu make and bash . My cl command line, in makefile exceed 255
> caracters and cl failed. I cant use microsoft command file 'cause
> off UNIX compatibility. Anyone as a clue ? -- 

  It understands an indirect file as follows:

  cl <list_of_parameters> @<name_of_file_containing_the_rest_part_of_the_parameter_list>

  So you need something like this (well it is only to show an idea, with make 
one can create it another way too):

   echo "your 1st parameters"   > cl.lst
   echo "your 2nd parameters"  >> cl.lst
   echo "your n-th parameters" >> cl.lst
   echo "your last parameters" >> cl.lst
   cl @cl.lst

      Hope this  helps.
=================================================================
Dr. Valery Fine                  Telex : 911621 dubna su
    -----------
LCTA/Joint Inst.for NuclearRes   Phone : +7 09621 6 40 80
141980 Dubna, Moscow region      Fax   : +7 09621 6 51 45
Russia                           mailto:[email-masked]
                                 mailto:[email-masked]
Dr. Valeri Faine
    ------------                 Phone: +41 22 767 6468
CERN                             FAX  : +41 22 782 2601
CH-1211 Geneva, 23               mailto:[email-masked] 
Switzerland                      http://nicewww.cern.ch/~fine
                                 
-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".